## kclock 23.08.5

=== CMakeLists.txt ===
#
# Copyright 2020 Han Young <hanyoung@protonmail.com>
# Copyright 2020-2021 Devin Lin <devin@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

cmake_minimum_required(VERSION 3.16)
set(CMAKE_CXX_STANDARD 17)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kclock VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "5.101.0")
set(QT_MIN_VERSION "5.15.2")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# only enable QML debugging on debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG ")

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMFindQmlModule)
include(ECMConfiguredInstall)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KCLOCK
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Quick
    Test
    Svg
    QuickControls2
    Multimedia
    DBus
)

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    I18n
    CoreAddons
    Plasma
    Kirigami2
    Notifications
    DBusAddons
)
find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.6 REQUIRED)

find_package(Qt${QT_MAJOR_VERSION}QuickCompiler)

ki18n_install(po)

add_subdirectory(src)

install(PROGRAMS org.kde.kclock.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kclockd-autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(FILES org.kde.kclock.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kclock.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
install(FILES kclockd.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

ecm_install_configured_files(INPUT org.kde.kclockd.service.in DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR} @ONLY)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/kclock/CMakeLists.txt ===
#
# Copyright 2020 Han Young <hanyoung@protonmail.com>
# Copyright 2020-2021 Devin Lin <devin@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

set(kclock_SRCS
    about.cpp
    alarm.cpp
    alarmmodel.cpp
    timer.cpp
    timermodel.cpp
    utilmodel.cpp
    stopwatchtimer.cpp
    kclockformat.cpp
    settingsmodel.cpp
    addlocationmodel.cpp
    timerpresetmodel.cpp
    savedlocationsmodel.cpp
    )

set(SettingsXML ${CMAKE_CURRENT_BINARY_DIR}/../kclockd/org.kde.kclockd.KClockSettings.xml)
set(AlarmXML ${CMAKE_CURRENT_BINARY_DIR}/../kclockd/org.kde.kclockd.Alarm.xml)
set(AlarmModelXML ${CMAKE_CURRENT_BINARY_DIR}/../kclockd/org.kde.kclockd.AlarmModel.xml)
set(TimermModelXML ${CMAKE_CURRENT_BINARY_DIR}/../kclockd/org.kde.kclockd.TimerModel.xml)
set(TimerXML ${CMAKE_CURRENT_BINARY_DIR}/../kclockd/org.kde.kclockd.Timer.xml)
set(UtilityXML ${CMAKE_CURRENT_BINARY_DIR}/../kclockd/org.kde.kclockd.Utility.xml)

qt_add_dbus_interface(kclock_SRCS ${SettingsXML} kclocksettingsinterface )
qt_add_dbus_interface(kclock_SRCS ${AlarmXML} alarminterface )
qt_add_dbus_interface(kclock_SRCS ${AlarmModelXML} alarmmodelinterface )
qt_add_dbus_interface(kclock_SRCS ${TimermModelXML} timermodelinterface )
qt_add_dbus_interface(kclock_SRCS ${TimerXML} timerinterface )
qt_add_dbus_interface(kclock_SRCS ${UtilityXML} utilityinterface )

if(QT_MAJOR_VERSION STREQUAL "5")
    qtquick_compiler_add_resources(RESOURCES resources.qrc)
else()
    qt_add_resources(RESOURCES resources.qrc)
endif()

add_executable(kclock main.cpp ${kclock_SRCS} ${RESOURCES})
add_dependencies(kclock kclockd)
target_link_libraries(kclock
        Qt::Qml
        Qt::Gui
        Qt::QuickControls2
        Qt::Widgets
        Qt::Multimedia
        KF${QT_MAJOR_VERSION}::I18n
        KF${QT_MAJOR_VERSION}::ConfigCore
        KF${QT_MAJOR_VERSION}::ConfigGui
        KF${QT_MAJOR_VERSION}::CoreAddons
        KF${QT_MAJOR_VERSION}::Notifications
        KF${QT_MAJOR_VERSION}::DBusAddons
        )
target_include_directories(kclock PRIVATE ${CMAKE_BINARY_DIR})
install(TARGETS kclock ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/plasmoid/KClock_1x2/CMakeLists.txt ===
#
# Copyright 2020 Han Young <hanyoung@protonmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

# TODO: adapt "org.kde.plasma" here & elsewhere if needed (see README)
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.kclock_1x2\")

set(kclock_1x2_SRCS
    kclock_1x2.cpp
)
add_library(plasma_applet_kclock_1x2 MODULE ${kclock_1x2_SRCS})

target_link_libraries(plasma_applet_kclock_1x2
                      Qt::Gui
                      Qt::DBus
                      KF${QT_MAJOR_VERSION}::Plasma
                      KF${QT_MAJOR_VERSION}::I18n)


install(TARGETS plasma_applet_kclock_1x2 DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)
install(FILES kclock_plasmoid_1x2.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
plasma_install_package(package org.kde.plasma.kclock_1x2)

## kclock 23.08.0

=== debian/changelog ===
kclock (23.08.0-1) unstable; urgency=medium

  * Sponsored upload for Yifei Zhan <yifei@zhan.science>
  * Initial release. (Closes: #1026985)

 -- Russell Coker <russell@coker.com.au>  Sat, 09 Dec 2023 23:47:56 +1100

=== debian/control ===
Source: kclock
Homepage: https://apps.kde.org/kclock/
Maintainer: Yifei Zhan <debian@zhan.science>
Section: kde
Priority: optional
Standards-Version: 4.6.2
Build-Depends: cmake (>= 3.16~),
               dh-sequence-kf5,
               debhelper-compat (= 13),
               libqt5svg5-dev,
               libkf5notifications-dev,
               kirigami-addons-dev,
               libkf5iconthemes-dev,
               kirigami2-dev,
               qtquickcontrols2-5-dev,
               libkf5i18n-dev,
               libkf5coreaddons-dev,
               libkf5plasma-dev,
               qtmultimedia5-dev,
               extra-cmake-modules (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               qtdeclarative5-dev,
               gettext
               

Package: kclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm, 
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.

## kclock 23.08.5

=== debian/changelog ===
kclock (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:59:05 +1100

kclock (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:46:17 +0000

kclock (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 14 Mar 2024 00:55:59 +0000

=== debian/control ===
Source: kclock
Homepage: https://apps.kde.org/en/kclock
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Yifei Zhan <debian@zhan.science>
Section: kde
Priority: optional
Standards-Version: 4.6.1
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev,
               libkf5config-dev (>= 5.71.0~),
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libqt5svg5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kclock
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kclock
Rules-Requires-Root: no

Package: kclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm, 
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 --

=== debian/watch ===
version=4
https://download.kde.org/stable/plasma-mobile/([\d.]+)/kclock-([\d.]+)\.tar\.xz

## kclock 24.12.0

=== debian/changelog ===
kclock (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:09:04 +0000

kclock (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:05:40 +0000

kclock (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Nov 2024 14:51:55 +0000

kclock (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 14:59:43 +0000

kclock (24.08.1-1) unstable; urgency=medium

  * Update to 24.08.1 (last upload was actually 23.08)
  * Sponsored upload for Yifei Zhan <debian@zhan.science>

 -- Russell Coker <russell@coker.com.au>  Tue, 17 Sep 2024 22:42:42 +1000

kclock (24.08.0-1) unstable; urgency=medium

  * Update to 24.08.0
  * Sponsored upload for Yifei Zhan <yifei@zhan.science>

 -- Russell Coker <russell@coker.com.au>  Sat, 14 Sep 2024 13:19:46 +1000

## kclock 24.12.1

=== debian/changelog ===
kclock (24.12.1-1) unstable; urgency=medium

  * Update to 24.12.1

 -- Yifei Zhan <debian@zhan.science>  Fri, 24 Jan 2025 01:10:51 -0500

=== debian/control ===
Source: kclock
Homepage: https://apps.kde.org/kclock/
Maintainer: Yifei Zhan <debian@zhan.science>
Section: kde
Priority: optional
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: cmake (>= 3.16~),
               dh-sequence-kf6,
               debhelper-compat (= 13),
               libplasma-dev,
               libqt6svg6-dev,
               libkf6crash-dev,
               libkf6notifications-dev,
               kirigami-addons-dev,
               libkf6iconthemes-dev,
               kirigami2-dev,
               qtquickcontrols2-5-dev,
               libkf6i18n-dev,
               libkf6coreaddons-dev,
               qt6-declarative-dev,
               qml6-module-org-kde-quickcharts,
               qml6-module-org-kde-breeze,
               qml6-module-org-kde-kirigami,
               qml6-module-org-kde-kirigamiaddons-delegates,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-datetime,
               libkf6statusnotifieritem-dev,
               libkf6dbusaddons-dev,
               libkirigami-dev,
               qt6-multimedia-dev,
               extra-cmake-modules (>= 5.71.0~),
               libkf6config-dev (>= 5.71.0~),
               gettext

Package: kclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm, 
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- 
+	dh_auto_configure -Skf6 --

## kclock 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,15 +9,17 @@
 set(CMAKE_CXX_STANDARD 17)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kclock VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "5.101.0")
-set(QT_MIN_VERSION "5.15.2")
+option(BUILD_PLASMOID "Build Plasmoid" ON)
+
+set(KF_MIN_VERSION "6.3.0")
+set(QT_MIN_VERSION "6.5.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -35,13 +37,14 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMDeprecationSettings)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX KCLOCK
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
 )
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
     Core
     Gui
     Quick
@@ -50,22 +53,29 @@
     QuickControls2
     Multimedia
     DBus
+    Widgets
 )
 
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
     I18n
     CoreAddons
-    Plasma
-    Kirigami2
+    Kirigami
     Notifications
     DBusAddons
+    Crash
+    StatusNotifierItem
 )
-find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.6 REQUIRED)
+if (BUILD_PLASMOID)
+    find_package(Plasma REQUIRED)
+endif()
 
-find_package(Qt${QT_MAJOR_VERSION}QuickCompiler)
+find_package(KF6KirigamiAddons 0.6 REQUIRED)
 
 ki18n_install(po)
+ecm_set_disabled_deprecation_versions(QT 6.8.0
+    KF 6.7
+)
 
 add_subdirectory(src)
 
@@ -77,7 +87,7 @@
 
 ecm_install_configured_files(INPUT org.kde.kclockd.service.in DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR} @ONLY)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp)

=== src/kclock/CMakeLists.txt ===
--- 
+++ 
@@ -6,18 +6,30 @@
 #
 
 set(kclock_SRCS
-    about.cpp
     alarm.cpp
+    alarm.h
     alarmmodel.cpp
+    alarmmodel.h
     timer.cpp
+    timer.h
     timermodel.cpp
+    timermodel.h
     utilmodel.cpp
+    utilmodel.h
     stopwatchtimer.cpp
+    stopwatchtimer.h
     kclockformat.cpp
+    kclockformat.h
     settingsmodel.cpp
+    settingsmodel.h
+    stopwatchmodel.cpp
+    stopwatchmodel.h
     addlocationmodel.cpp
+    addlocationmodel.h
     timerpresetmodel.cpp
+    timerpresetmodel.h
     savedlocationsmodel.cpp
+    savedlocationsmodel.h
     )
 
 set(SettingsXML ${CMAKE_CURRENT_BINARY_DIR}/../kclockd/org.kde.kclockd.KClockSettings.xml)
@@ -34,26 +46,25 @@
 qt_add_dbus_interface(kclock_SRCS ${TimerXML} timerinterface )
 qt_add_dbus_interface(kclock_SRCS ${UtilityXML} utilityinterface )
 
-if(QT_MAJOR_VERSION STREQUAL "5")
-    qtquick_compiler_add_resources(RESOURCES resources.qrc)
-else()
-    qt_add_resources(RESOURCES resources.qrc)
-endif()
+qt_add_resources(RESOURCES resources.qrc)
 
 add_executable(kclock main.cpp ${kclock_SRCS} ${RESOURCES})
 add_dependencies(kclock kclockd)
-target_link_libraries(kclock
-        Qt::Qml
-        Qt::Gui
-        Qt::QuickControls2
-        Qt::Widgets
-        Qt::Multimedia
-        KF${QT_MAJOR_VERSION}::I18n
-        KF${QT_MAJOR_VERSION}::ConfigCore
-        KF${QT_MAJOR_VERSION}::ConfigGui
-        KF${QT_MAJOR_VERSION}::CoreAddons
-        KF${QT_MAJOR_VERSION}::Notifications
-        KF${QT_MAJOR_VERSION}::DBusAddons
-        )
+target_link_libraries(kclock PRIVATE
+    Qt6::Qml
+    Qt6::Gui
+    Qt6::QuickControls2
+    Qt6::Widgets
+    Qt6::Multimedia
+    KF6::I18n
+    KF6::ConfigCore
+    KF6::ConfigGui
+    KF6::CoreAddons
+    KF6::Notifications
+    KF6::DBusAddons
+    KF6::StatusNotifierItem
+    KF6::Crash
+)
+
 target_include_directories(kclock PRIVATE ${CMAKE_BINARY_DIR})
 install(TARGETS kclock ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kclock (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:39:24 +0000

kclock (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:13:55 +0000

kclock (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:28:40 +0000

=== debian/control ===
Source: kclock
Homepage: https://apps.kde.org/kclock/
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Yifei Zhan <debian@zhan.science>
Section: kde
Priority: optional
Standards-Version: 4.6.2
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev,
               libkf6config-dev (>= 5.71.0~),
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6notifications-dev,
               libkf6statusnotifieritem-dev,
               libkirigami-dev,
               libplasma-dev,
               libqt6svg6-dev,
               qml6-module-org-kde-breeze,
               qml6-module-org-kde-kirigami,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-datetime,
               qml6-module-org-kde-kirigamiaddons-delegates,
               qml6-module-org-kde-quickcharts,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qtquickcontrols2-5-dev,
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kclock
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kclock

Package: kclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm, 
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.

## kclock 25.04.0

=== debian/changelog ===
kclock (25.04.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:59:13 +0200

kclock (25.03.90-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Switch to team maintenance by the Debian Qt/KDE Maintainers team.
  * Update build-deps and deps with the info from cmake.
  * Use dh-sequence-qmldeps to correctly inject runtime QML
    dependencies.
  * Add Vcs-* URLs to control file.
  * Override lintian warning for LGPL2.1 text using the old FSF address.
  * Drop unnecessary dh_auto_configure override.
  * Add copyright for packaging files.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 04 Apr 2025 00:33:39 +0200

## kclock 25.04.3

=== src/kclock/CMakeLists.txt ===
--- 
+++ 
@@ -64,6 +64,7 @@
     KF6::DBusAddons
     KF6::StatusNotifierItem
     KF6::Crash
+    KF6::I18nQml
 )
 
 target_include_directories(kclock PRIVATE ${CMAKE_BINARY_DIR})

=== src/plasmoid/CMakeLists.txt ===
#
# Copyright 2020 Han Young <hanyoung@protonmail.com>
# Copyright 2020 Devin Lin <espidev@gmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

add_subdirectory(KClock_1x2)
#add_subdirectory(KClock_KWeather_3x3)

=== src/plasmoid/KClock_1x2/CMakeLists.txt ===

# Copyright 2020 Han Young <hanyoung@protonmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.kclock_1x2\")

kcoreaddons_add_plugin(org.kde.plasma.kclock_1x2 SOURCES kclock_1x2.cpp kclock_1x2.h INSTALL_NAMESPACE plasma/applets)

target_link_libraries(org.kde.plasma.kclock_1x2
    Qt6::Gui
    Qt6::DBus
    Plasma::Plasma
    KF6::I18n
)

install(FILES kclock_plasmoid_1x2.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
plasma_install_package(package org.kde.plasma.kclock_1x2)

=== src/plasmoid/KClock_KWeather_3x3/CMakeLists.txt ===

# Copyright 2020 Han Young <hanyoung@protonmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.kclock_kweather_3x3\")

kcoreaddons_add_plugin(plasma_applet_kclock_kweather_3x3 SOURCES kclock_3x3.cpp INSTALL_NAMESPACE plasma/applets)

target_link_libraries(plasma_applet_kclock_kweather_3x3
    Qt6::Gui
    Qt6::DBus
    Plasma::Plasma
    KF6::I18n
)

plasma_install_package(package org.kde.plasma.kclock_kweather_3x3)

=== debian/changelog ===
kclock (25.04.3-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - remove Qt 5 ones: kirigami2-dev, qtquickcontrols2-5-dev
    - remove transitional ones: libqt6svg6-dev (non-transitional already there)
    - remove not used: libkf6iconthemes-dev
    - remove not used QML modules: qml6-module-org-kde-breeze,
      qml6-module-org-kde-kirigami,
      qml6-module-org-kde-kirigamiaddons-components,
      qml6-module-org-kde-kirigamiaddons-datetime,
      qml6-module-org-kde-kirigamiaddons-delegates, and
      qml6-module-org-kde-quickcharts,

 -- Pino Toscano <pino@debian.org>  Sun, 05 Oct 2025 09:22:15 +0200

kclock (25.04.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Add X-Plasma-API-Minimum-Version to applet metadata. (kde#505837)
    - Use KPackageStructure instead of ServiceTypes in metadata.json.
    (#505837)
    - Timers: Fix preset creation and usage (25.04). (kde#505636)
    - Fix alarm form overflowing on larger screens. (kde#505695)
  * Backport upstream commit:
    - Correctly honor configured sound theme for default alarm sound.
    [8c656dc4]

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Jul 2025 18:01:27 +0200

=== debian/control ===
Source: kclock
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Yifei Zhan <debian@zhan.science>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               kirigami-addons-dev (>= 0.6~),
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6dbusaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6notifications-dev (>= 6.8.0~),
               libkf6statusnotifieritem-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libplasma-dev,
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kclock/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kclock
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kclock.git

Package: kclock
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm,
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.

## kclock 25.07.80

=== debian/changelog ===
kclock (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:07:10 +0100

kclock (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:40:15 +0100

kclock (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:41:50 +0100

kclock (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:04:10 +0100

kclock (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:46:06 +0100

## kclock 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,16 +9,16 @@
 set(CMAKE_CXX_STANDARD 17)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kclock VERSION ${RELEASE_SERVICE_VERSION})
 
 option(BUILD_PLASMOID "Build Plasmoid" ON)
 
-set(KF_MIN_VERSION "6.3.0")
+set(KF_MIN_VERSION "6.8.0")
 set(QT_MIN_VERSION "6.5.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -38,6 +38,8 @@
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
 include(ECMDeprecationSettings)
+include(ECMQtDeclareLoggingCategory)
+include(ECMQmlModule)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX KCLOCK
@@ -65,8 +67,10 @@
     DBusAddons
     Crash
     StatusNotifierItem
+    Svg
 )
 if (BUILD_PLASMOID)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO JobWidgets)
     find_package(Plasma REQUIRED)
 endif()
 
@@ -74,7 +78,7 @@
 
 ki18n_install(po)
 ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.7
+    KF 6.12.0
 )
 
 add_subdirectory(src)
@@ -84,6 +88,7 @@
 install(FILES org.kde.kclock.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES org.kde.kclock.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
 install(FILES kclockd.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
+install(FILES kclock-runner.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
 
 ecm_install_configured_files(INPUT org.kde.kclockd.service.in DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR} @ONLY)

=== debian/changelog ===
kclock (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:40:00 +0100

## kclock 25.08.0

=== debian/changelog ===
kclock (25.08.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 08:53:11 +0000

kclock (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:09:29 +0000

kclock (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:28:30 +0000

kclock (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:35:20 +0000

kclock (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:06:22 +0000

kclock (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:28:24 +0000

kclock (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:01:36 +0000

kclock (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:20:44 +0000

kclock (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:20:54 +0000

kclock (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:08:02 +0000

kclock (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:32:15 +0000

kclock (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:56:15 +0000

kclock (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:27:40 +0000

kclock (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:20:34 +0000

kclock (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:02:44 +0000

kclock (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:17:48 +0000

kclock (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:02:27 +0000

kclock (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:50:40 +0000

kclock (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:27:59 +0000

kclock (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:09:33 +0000

kclock (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:05:56 +0000

kclock (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:53:39 +0000

kclock (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:36:50 +0000

kclock (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:11:33 +0000

kclock (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 22:35:06 +0000

kclock (21.06-0neon) focal; urgency=medium

  [ Jonah Brüchert ]
  * Initial packaging

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:19 +0000

=== debian/control ===
Source: kclock
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               wayland-protocols
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kclock.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kclock
Maintainer: Neon CI <neon@kde.org>

Package: kclock
Architecture: any
Depends: libplasma6,
         qml6-module-org-kde-kirigamiaddons,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Clock app for Plasma Mobile
 A plasma mobile clock

## kclock 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kclock VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kclock (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:52:11 +0100

kclock (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:21:51 +0100

=== debian/watch ===
version=4
https://github.com/KDE/kclock/tags .*/v?(\d.*)@ARCHIVE_EXT@

## kclock 25.08.2

=== src/CMakeLists.txt ===
#
# Copyright 2020 Han Young <hanyoung@protonmail.com>
# Copyright 2020 Devin Lin <espidev@gmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

add_subdirectory(kclockd)
add_subdirectory(kclock)
if (BUILD_PLASMOID)
    add_subdirectory(plasmoid)
endif()

=== src/plasmoid/CMakeLists.txt ===
--- 
+++ 
@@ -5,5 +5,4 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 #
 
-add_subdirectory(KClock_1x2)
-#add_subdirectory(KClock_KWeather_3x3)
+add_subdirectory(KClock)

=== debian/changelog ===
kclock (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:42:46 +0100

=== debian/control ===
Source: kclock
Homepage: https://apps.kde.org/kclock/
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Yifei Zhan <debian@zhan.science>
Section: kde
Priority: optional
Standards-Version: 4.6.2
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev,
               libkf6config-dev (>= 5.71.0~),
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6jobwidgets-dev,
               libkf6kio-dev,
               libkf6notifications-dev,
               libkf6statusnotifieritem-dev,
               libkf6svg-dev,
               libkirigami-dev,
               libplasma-dev,
               libqt6svg6-dev,
               qml6-module-org-kde-breeze,
               qml6-module-org-kde-kirigami,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-datetime,
               qml6-module-org-kde-kirigamiaddons-delegates,
               qml6-module-org-kde-quickcharts,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qtquickcontrols2-5-dev,
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kclock
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kclock

Package: kclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm, 
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf6 --
+	dh_auto_configure -Skf6 --

## kclock 25.08.2+p24.04+vstable+git20251019.0150

=== debian/changelog ===
kclock (25.08.2+p24.04+vstable+git20251019.0150-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:50:14 +0000

kclock (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:15:15 +0000

kclock (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:39:59 +0000

## kclock 25.08.2+p24.04+vstable+git20251020.0107

=== debian/changelog ===
kclock (25.08.2+p24.04+vstable+git20251020.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:07:17 +0000

## kclock 25.08.2+p24.04+vstable+git20251021.0323

=== debian/changelog ===
kclock (25.08.2+p24.04+vstable+git20251021.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:23:58 +0000

## kclock 25.08.2+p24.04+vstable+git20251028.1005

=== debian/changelog ===
kclock (25.08.2+p24.04+vstable+git20251028.1005-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:05:29 +0000

## kclock 25.08.2+p24.04+vstable+git20251031.0946

=== debian/changelog ===
kclock (25.08.2+p24.04+vstable+git20251031.0946-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:46:45 +0000

## kclock 25.08.2+p24.04+vunstable+git20251011.0610

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kclock VERSION ${RELEASE_SERVICE_VERSION})
@@ -55,6 +55,7 @@
     QuickControls2
     Multimedia
     DBus
+    WaylandClient
     Widgets
 )
 
@@ -74,11 +75,17 @@
     find_package(Plasma REQUIRED)
 endif()
 
+find_package(WaylandProtocols 1.21 REQUIRED)
+
+if (Qt6WaylandClient_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6WaylandClientPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
+
 find_package(KF6KirigamiAddons 0.6 REQUIRED)
 
 ki18n_install(po)
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+    KF 6.17.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kclock (25.08.2+p24.04+vunstable+git20251011.0610-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:10:12 +0000

## kclock 25.08.2+p24.04+vunstable+git20251020.1227

=== debian/changelog ===
kclock (25.08.2+p24.04+vunstable+git20251020.1227-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:27:08 +0000

## kclock 25.08.3

=== debian/changelog ===
kclock (25.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Yifei Zhan ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * remove patch 8c656dc4 merged by upstream
  * remove unused patterns in d/copyright

  [ Aurélien COUDERC ]
  * Switch to debian/watch format version 5.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 01 Dec 2025 08:35:20 +0100

=== debian/control ===
Source: kclock
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Yifei Zhan <debian@zhan.science>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               kirigami-addons-dev (>= 0.6~),
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6dbusaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6jobwidgets-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkf6notifications-dev (>= 6.8.0~),
               libkf6statusnotifieritem-dev (>= 6.8.0~),
               libkf6svg-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libplasma-dev,
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kclock/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kclock
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kclock.git

Package: kclock
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm,
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.

## kclock 25.08.3+p24.04+vstable+git20251204.0912

=== debian/changelog ===
kclock (25.08.3+p24.04+vstable+git20251204.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 09:12:21 +0000

kclock (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:11 +1000

## kclock 25.08.3+p24.04+vunstable+git20251201.0320

=== debian/changelog ===
kclock (25.08.3+p24.04+vunstable+git20251201.0320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:20:07 +0000

## kclock 25.08.3+p24.04+vunstable+git20251206.0818

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 set(CMAKE_CXX_STANDARD 17)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
 set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -95,7 +95,9 @@
 install(FILES org.kde.kclock.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES org.kde.kclock.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
 install(FILES kclockd.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
-install(FILES kclock-runner.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
+
+# Flatpak exports needs the desktop file to be the app ID
+install(FILES kclock-runner.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins RENAME org.kde.kclock.desktop)
 
 ecm_install_configured_files(INPUT org.kde.kclockd.service.in DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR} @ONLY)

=== debian/changelog ===
kclock (25.08.3+p24.04+vunstable+git20251206.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:18:40 +0000
